noinst_LTLIBRARIES = libavicore.la

libavicore_la_SOURCES = \
	avibase.h avicore.c avicore.h \
	aviopen.c aviframe.c aviedit.c avitext.c avisave.c \
	bitmap.c bitmap.h \
	chunk.c chunk.h \
	icm.c icm.h \
	wave.h

INCLUDES = \
	$(GTK_CFLAGS)

if WITH_W32
libavicore_la_LIBADD = \
	$(GTK_LIBS) \
	$(top_builddir)/dllloader/libdllloader.la
else
libavicore_la_LIBADD = \
	$(GTK_LIBS) \
	$(top_builddir)/misc/libmisc.la
endif
